Skip to main content
GET
/
api
/
{version}
/
consent_management
Consent list
curl --request GET \
  --url http://{baseurl}/api/{version}/consent_management \
  --header 'Authorization: Bearer <token>'
import requests

url = "http://{baseurl}/api/{version}/consent_management"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{baseurl}/api/{version}/consent_management', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "_sadfa3CKHJ23LKJHKJHLlNaODPmH1LqSb4",
    "application_name": "Centz",
    "application_icon_url": "https://www.example.com",
    "created_at": "2024-06-14T19:48:18.354Z",
    "last_accessed": "2024-05-14T19:48:31.352Z",
    "accounts": [
      {
        "enabled": true,
        "nickname": "Lacrosse Fund",
        "account_id": "1234123412341234",
        "account_number_display": "XXXXXXXX1111"
      }
    ],
    "auto_enable_future_accounts": true,
    "consented_on": "2024-05-14T19:48:18.352Z",
    "revoked_at": null
  }
]
Returns all data sharing information for an end user. Use this endpoint to list an end user’s current data sharing choices. Each of the end user’s connected apps has a separate consent which is detailed in the response by a consent object. The consent object includes details such as the app’s id, name, icon, and the sharing status of the end-user’s accounts.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
string
default:v4
required

API version. Indicates which FDX version is in use.

Example:

"v4"

Response

200 - application/json

Successful response

id
string
Example:

"_sadfa3CKHJ23LKJHKJHLlNaODPmH1LqSb4"

application_name
string
Example:

"Centz"

application_icon_url
string | null
Example:

"https://www.example.com"

created_at
string
Example:

"2024-06-14T19:48:18.354Z"

last_accessed
string
Example:

"2024-05-14T19:48:31.352Z"

accounts
object[]
auto_enable_future_accounts
boolean
Example:

true

consented_on
string
Example:

"2024-05-14T19:48:18.352Z"

revoked_at
string | null
Example:

null